/***************************************************************
 * Name:      wx017App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-01-30
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx017App.h"
#include "wx017Main.h"

IMPLEMENT_APP(wx017App);

bool wx017App::OnInit()
{
    wx017Frame* frame = new wx017Frame(0L, _("wxWidgets Ejemplo 17"));
    wxImage::AddHandler(new wxXPMHandler);
    wxIcon ic(icono_xpm);
    frame->SetIcon(ic); // To Set App Icon
    frame->Show();

    return true;
}
